Pixel Wars is a programming game where two minimalistic civilizations
will grow and try to annihilate each other to conquer the Pixel World. 
But you don't have any real-time control over the action of your units.
To be victorious, you'll have to code their behaviour in C/C++,
and pray for a good result.

This repository is the application project, it has severay dependencies :
Qt5 modules: core gui widgets opengl, glm, SparrowRenderer, and cmake for the compilation

### How to Use it from the precompiled builds (not available yet) :
- download the latest build (insert links here)
- unzip it anywhere
- the PixelWars executable is located in the bin folder
- you can now code your own Dude's behavior or map generator by
placing in the respective "behaviors" and "generators" folder your compiled code
in the form of a shared library, you can find an example in each folder named hello.cpp,
containing the minimal code, the necessary includes,
and the command line needed to compile it.

### How to Build it from sources :

download and install git, cmake, Qt5, and a c++ compiler (gcc on Unix or MinGW on Windows)

get all required repositories :

git clone https://git.epicsparrow.com/epicsparrow/CMakeTemplate.git

git clone https://git.epicsparrow.com/epicsparrow/SparrowRenderer.git

git clone https://git.epicsparrow.com/epicsparrow/PixelWars.git


get all required dependencies,
unzip this archive where you cloned the repositories :
https://epicsparrow.com/media/libs/glm.zip

you can now compile the sparrow renderer :
- go in the SparrowRenderer folder
- mkdir build
- cd build
- cmake ..
- make

after that, you'll be able to compile PixelWars :
(same procedure)
- go in the PixelWars folder
- mkdir build
- cd build
- cmake ..
- make

That's it ! The PixelWars executable should have been generated in the build folder
